Bug 1296245 - gdm does not set $HOME for gnome-session
gdm does not set $HOME for gnome-session
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-06 12:05 EST by Hans de Goede
Modified: 2016-12-20 12:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:39:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2016-01-06 12:05:20 EST
Description of problem:

gdm in F23 does not seem to set $HOME for gnome-session, this causes apps which use $HOME to find their .config files to fail. Many apps simply use $HOME since working with pwent is a pain.

This has always worked fine in the past.

It also seems that gdm does not change the cwd to $HOME before starting gnome-session either, at least apps which fall back to ./.config still do not find their .config files.
Comment 1 Hans de Goede 2016-01-06 12:12:36 EST
Hmm...

Weird:

1) It does seem to get set for shells in a terminal, it is set in e.g. xterm so when starting apps which use $HOME from a terminal they work fine, even when staring them outside of $HOME

2) When starting apps from gnome-shell using ALt+F2 things work fine too (not sure if this is due to cwd or $HOME)

3) But when starting the app from gnome-shell overview (so via its .desktop file) $HOME is not set (or set wrongly) and cwd != $HOME . The .desktop file only contains "Exec=foo" .
Comment 2 Hans de Goede 2016-01-06 12:13:19 EST
ps comment 1 means that this possibly / likely is not a gnome-shell bug at all
Comment 3 Hans de Goede 2016-01-06 12:13:45 EST
(In reply to Hans de Goede from comment #2)
> ps comment 1 means that this possibly / likely is not a gnome-shell bug at
> all

s/gnome-shell/gdm, sorry for the spam
Comment 4 Fedora End Of Life 2016-11-24 09:44:39 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 12:39:03 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.